routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Route::get('/', function () {
//     return view('welcome');
// });

Route::redirect('/', '/home');

Route::resource('products', 'ProductsController');
Route::resource('categories', 'CategoriesController');
Route::resource('brands', 'BrandsController');
Route::resource('orders', 'OrdersController');
Route::get('chats/message/{to_user_id}', 'ChatsController@message')->name('chats.message');
Route::resource('chats', 'ChatsController');

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

app/Brand.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Brand extends Model
{
    public function user(){
        return $this->belongsTo('App\User');
    }

    public function products(){
        return $this->hasMany('App\Products');
    }
}

app/Http/Controllers/BrandsController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Brand;
use App\User;

class BrandsController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        if (!auth()->user() == null && auth()->user()->role == 'seller') {
            $user_id = auth()->user()->id;
            $brands = Brand::where('user_id', $user_id)->paginate(8);
            return view('brands.index')->with('brands', $brands);
        }
        return redirect()->route('products.index');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        if (!auth()->user() == null && auth()->user()->role == 'seller') {
            return view('brands.create');
        }
        return redirect()->route('products.index');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->validate($request, [
            'name' => 'required'
        ]);

        $brand = new Brand();
        $brand->user_id = auth()->user()->id;
        $brand->name = $request->name;
        $brand->save();

        return redirect()->route('brands.index')
            ->with('success', 'Brand ' . $brand->name . ' Successfully Added');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        return redirect()->route('products.index');
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $brand = Brand::find($id);
        if (!auth()->user() == null && (auth()->user()->id == $brand->user->id && auth()->user()->role == 'seller')) {
            return view('brands.edit')->with('brand', $brand);
        }
        return redirect()->route('brands.index');
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $this->validate($request, [
            'name' => 'required'
        ]);

        $brand = Brand::find($id);
        $brand->name = $request->name;
        $brand->save();

        return redirect()->route('brands.index')
            ->with('success', 'Brand ' . $brand->name . ' has been Successfully Updated');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $brand = Brand::find($id);
        $brand->delete();

        return redirect()->route('brands.index')
            ->with('error', 'Brand ' . $brand->name . ' has beend Removed');
    }
}

resources/views/brands/create.blade.php
@extends('layouts.app')

@section('content')
    <form method="POST" action="{{ route('brands.store') }}">
        <div class="card mx-auto" style="width: 30rem">
            <div class="card-header">
                Add Brand
            </div>
            @include('brands.form')
        </div>
    </form>
@endsection

resources/views/brands/edit.blade.php
@extends('layouts.app')

@section('content')
    <form method="POST" action="{{ route('brands.update', $brand->id) }}">
        <input type="hidden" name="_method" value="PUT">
        <div class="card mx-auto" style="width: 30rem">
            <div class="card-header">
                Update Brand
            </div>
            @include('brands.form')
        </div>
    </form>
@endsection

resources/views/brands/form.blade.php
@csrf
<div class="card-body">
    <div class="form-group">
        <label for="name">Name</label>
        <input type="text" class="form-control" id="name" name="name" value="{{ $brand->name ?? '' }}"
            placeholder="Brand Name">
    </div>
    <a class="btn btn-primary" href="{{ route('brands.index') }}">Back</a>
    <input type="submit" value="Save" class="btn btn-success"
        onclick="this.disabled=true;this.value='Processing...';this.form.submit();"  >
</div>

resources/views/brands/index.blade.php
@extends('layouts.app')

@section('content')
    <div class="card mx-auto" style="width: 35rem">
        <div class="card-header">
            Brand List
        </div>
        <div class="card-body">
            @unless(auth::guest())
                <a href="{{ route('brands.create') }}" class="btn btn-primary"><b>+</b> Add Brand</a><br><br>
            @endunless
            @if (count($brands) > 0)
                <table class="table table-bordered">
                    <thead>
                        <tr>
                            <th scope="col">Name</th>
                            <th scope="col">Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($brands as $brand)
                            <tr>
                                <td>{{ $brand->name }}</td>
                                <form action="{{ route('brands.destroy', $brand->id) }}" method="POST">
                                    @csrf
                                    {{-- <input type="hidden" name="_method" value="DELETE"> --}}
                                    <td>
                                        <a class="btn btn-primary" href="{{ route('brands.edit', $brand->id) }}">Update</a>
                                        {{-- <input type="submit" value="Delete" class="btn btn-danger"> --}}
                                    </td>
                                </form>
                            </tr>
                        @endforeach
                    </tbody>
                </table>
            @else
                <p>Brand is Empty</p>
            @endif
            <div>{{ $brands->links() }}</div>
        </div>
    </div>
@endsection